STKPlucked
Prev | Orchestra Opcodes and Operators | Next

## STKPlucked

STKPlucked — STKPlucked uses a plucked string physical model.

## Description

Plugin opcode in stkopd.

STKPlucked uses a plucked string physical model based on the Karplus-Strong algorithm.

## Syntax

    asignal STKPlucked ifrequency, iamplitude

## Initialization

ifrequency -- Frequency of note played, in Hertz.

iamplitude -- Amplitude of note played (range 0-1).

| Note
The code for this opcode is taken directly from the Plucked class in the Synthesis Toolkit in C++ by Perry R. Cook and Gary P. Scavone. More on the STK classes can be found here: https://ccrma.stanford.edu/software/stk/classes.html

## Examples

Here is an example of the STKPlucked opcode. It uses the file STKPlucked.csd.

Example 986. Example of the STKPlucked opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o STKPlucked.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1  ;STKPlucked - has no controllers

    ifrq	=	p4

    asig	STKPlucked cpspch(ifrq), 1
    	outs asig, asig
    endin

    </CsInstruments>
    <CsScore>

    i 1 0 2 6.00
    i 1 + 8 5.00
    i 1 + .5 8.00
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

STKSitar.

## Credits

Author: Michael Gogins (after Perry Cook)
Irreducible Productions
New York, NY

New in Csound version 5.11

Prev | Up | Next
STKPercFlut | Home | STKResonate